Overview | Package | Class | Tree | Deprecated | Index | Help
| Qizx/Open v0.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.xfra.qizxopen.xquery
Class SAXXQueryProcessor

    java.lang.Object
      |
      +--net.xfra.qizxopen.xquery.XQueryProcessor
            |
            +--net.xfra.qizxopen.xquery.SAXXQueryProcessor

All Implemented Interfaces:
  org.xml.sax.XMLReader

public class SAXXQueryProcessor
extends XQueryProcessor
implements org.xml.sax.XMLReader

An XQueryProcessor that evaluates a query and yields a document in the form of SAX2 events. It can be used as a source to other XML/JAXP processors.

Steps to follow to use this object:

- Create a SAXXQueryProcessor
- set SAX handlers
- compile a Query, install it with setQuery
- use parse() to execute the query and send the result (a document) to the SAX output. Optionally the InputSource can be parsed and used as input by the query.

Field Summary

Fields inherited from class net.xfra.qizxopen.xquery.XQueryProcessor
`EXTENSIONS_NS, EXTENSIONS_URI`

Constructor Summary
`SAXXQueryProcessor()`
`SAXXQueryProcessor(java.lang.String moduleBaseURI, java.lang.String baseURI)`
`SAXXQueryProcessor(XQueryProcessor master)`

Method Summary
`org.xml.sax.ContentHandler` | `getContentHandler()`
`org.xml.sax.DTDHandler` | `getDTDHandler()`
`org.xml.sax.EntityResolver` | `getEntityResolver()`
`org.xml.sax.ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(java.lang.String name)`
`java.lang.Object` | `getProperty(java.lang.String name)`
`void` | `parse(org.xml.sax.InputSource inputSource)` Executes a query (defined by setQuery) and sends results to the SAX handlers.
`void` | `parse(java.lang.String systemId)` Executes a query (defined by setQuery) and sends results to the SAX handlers.
`void` | `setContentHandler(org.xml.sax.ContentHandler handler)`
`void` | `setDTDHandler(org.xml.sax.DTDHandler handler)` Not used.
`void` | `setEntityResolver(org.xml.sax.EntityResolver resolver)` Not used.
`void` | `setErrorHandler(org.xml.sax.ErrorHandler handler)`
`void` | `setFeature(java.lang.String name, boolean value)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setQuery(Query query)` Specifies the evaluated query.

Methods inherited from class net.xfra.qizxopen.xquery.XQueryProcessor
`authorizeClass, compileQuery, compileQuery, compileQuery, executeQuery, executeQuery, executeQuery, getDocumentManager, getModuleManager, getSysProperty, getVersion, initGlobal, initGlobal, initGlobal, initGlobal, initGlobal, initGlobal, initGlobal, predefineGlobal, predefineGlobal, predefineNamespace, registerCollation, resetDeclarations, setCollectionInput, setDefaultCollation, setDefaultOutput, setDocumentInput, setDocumentManager, setImplicitTimezone, setInput, setLog, setModuleManager, setSysProperty, toLocalNS`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SAXXQueryProcessor

    public SAXXQueryProcessor()

### SAXXQueryProcessor

    public SAXXQueryProcessor(java.lang.String moduleBaseURI,
                              java.lang.String baseURI)
                       throws java.io.IOException

### SAXXQueryProcessor

    public SAXXQueryProcessor(XQueryProcessor master)

Method Detail

### setQuery

    public void setQuery(Query query)

  Specifies the evaluated query.

### parse

    public void parse(org.xml.sax.InputSource inputSource)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Executes a query (defined by setQuery) and sends results to the SAX handlers. The query must evaluate as a document. The inputSource argument is optional (can be null) and defines the input() document for the query evaluation.

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Parameters:
    `inputSource` - optional input source. If not null, a document is parsed from it and made accessible by the query through the input() function.
  Throws:
    `java.io.IOException` - parsing the input
    `org.xml.sax.SAXException` - parsing the input or wrapping XQuery exceptions

### parse

    public void parse(java.lang.String systemId)
               throws java.io.IOException,
                      org.xml.sax.SAXException

  Executes a query (defined by setQuery) and sends results to the SAX handlers. The query must evaluate as a document. The systemId argument defines the input() document for the query evaluation.

  Specified by:
    `parse` in interface `org.xml.sax.XMLReader`
  Parameters:
    `systemId` - input source. A document is parsed from it and made accessible by the query through the input() function.
  Throws:
    `java.io.IOException` - parsing the input
    `org.xml.sax.SAXException` - parsing the input or wrapping XQuery exceptions

### getContentHandler

    public org.xml.sax.ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `org.xml.sax.XMLReader`

### setContentHandler

    public void setContentHandler(org.xml.sax.ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `org.xml.sax.XMLReader`

### getDTDHandler

    public org.xml.sax.DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `org.xml.sax.XMLReader`

### setDTDHandler

    public void setDTDHandler(org.xml.sax.DTDHandler handler)

  Not used.

  Specified by:
    `setDTDHandler` in interface `org.xml.sax.XMLReader`

### getEntityResolver

    public org.xml.sax.EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `org.xml.sax.XMLReader`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver resolver)

  Not used.

  Specified by:
    `setEntityResolver` in interface `org.xml.sax.XMLReader`

### getErrorHandler

    public org.xml.sax.ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `org.xml.sax.XMLReader`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `org.xml.sax.XMLReader`

### getFeature

    public boolean getFeature(java.lang.String name)
                       throws org.xml.sax.SAXNotRecognizedException,
                              org.xml.sax.SAXNotSupportedException

  Specified by:
    `getFeature` in interface `org.xml.sax.XMLReader`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setFeature

    public void setFeature(java.lang.String name,
                           boolean value)
                    throws org.xml.sax.SAXNotRecognizedException,
                           org.xml.sax.SAXNotSupportedException

  Specified by:
    `setFeature` in interface `org.xml.sax.XMLReader`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)
                     throws org.xml.sax.SAXNotRecognizedException,
                            org.xml.sax.SAXNotSupportedException

  Specified by:
    `setProperty` in interface `org.xml.sax.XMLReader`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

### getProperty

    public java.lang.Object getProperty(java.lang.String name)
                                 throws org.xml.sax.SAXNotRecognizedException,
                                        org.xml.sax.SAXNotSupportedException

  Specified by:
    `getProperty` in interface `org.xml.sax.XMLReader`
    `org.xml.sax.SAXNotRecognizedException`
    `org.xml.sax.SAXNotSupportedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright Xavier FRANC 2003-2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD